edu.ucsb.nceas.metacat

## Class PINode

- java.lang.Object
- - edu.ucsb.nceas.metacat.BasicNode
  - - edu.ucsb.nceas.metacat.PINode

-     public class PINode
      extends BasicNode

  A Class that represents an XML PI node and its contents,

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PINode(long nodeid, long parentnodeid, java.lang.String nodename, java.lang.String nodedata)` Construct a new PINode instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNodeData()` Get the node data as a string value
    `void` | `setNodeData(java.lang.String nodedata)` Set the node data to the given string
    `java.lang.String` | `toString()` String representation of this text node

    - ### Methods inherited from class edu.ucsb.nceas.metacat.BasicNode

      `addChildNode, getAttribute, getAttributes, getChildren, getDocID, getNamespace, getNodeID, getNodeIndex, getNodeType, getParentID, getRootNodeID, getTagName, incChildNum, setAttribute, setDocID, setNamespace, setNodeID, setNodeIndex, setNodeType, setParentID, setRootNodeID, setTagName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PINode

          public PINode(long nodeid,
                        long parentnodeid,
                        java.lang.String nodename,
                        java.lang.String nodedata)

      Construct a new PINode instance
      Parameters:
        `nodeid` - the id for the node to be created
        `parentnodeid` - the id of the parent node
        `nodename` - the name of the PI node
        `nodedata` - the contents of the PI node

  - ### Method Detail

    - #### setNodeData

          public void setNodeData(java.lang.String nodedata)

      Set the node data to the given string

    - #### getNodeData

          public java.lang.String getNodeData()

      Get the node data as a string value

    - #### toString

          public java.lang.String toString()

      String representation of this text node
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2023 Regents of the University of California. All Rights Reserved.